package com.kcim.service;


import com.kcim.dao.model.CostReportColumn;

import java.util.List;

/**
 * 成本报表-报表列对照表
 *
 * @author Wang.YS
 * @date 2023-11-01 10:41:09
 */
public interface CostReportColumnService {

    Object getReportColumn(Integer current, Integer pageSize, Long reportCode, String headText);

    Object getReportCostColumn(Long reportCode, String headText, String columnType);

    void editReportColumn(List<CostReportColumn> reportColumn);

    void addReportColumn(List<CostReportColumn> reportColumn);

    void deleteReportColumn(Integer id);

    void batchDeleteReportColumn(List<Integer> id);

    void editReportColumnStatus(Integer id, Integer type, Integer status);
}

